Modify

Opened 6 years ago

Closed 6 years ago

Last modified 2 years ago

#8294 closed defect (invalid)

discrepancy between "web" and "opkg info"; still missing tos & length

Reported by: markus_kubler@… Owned by: developers
Priority: highest Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: kmod-ipt-ipopt missing tos and length Cc:

Description

Using WR1043ND. Had r23991, just installed r24047.

On vanilla then
# opkg update
# opkg install tc
# opkg install kmod-ipt-ipopt

My traffic shaping still doesn't work. => length and tos missing.

# opkg info kmod-ipt-ipopt
Package: kmod-ipt-ipopt
Version: 2.6.32.25-1
Depends: kernel (= 2.6.32.25-1), kmod-ipt-core
Provides:
Status: install hold,user installed
Section: kernel
Architecture: ar71xx
Maintainer: OpenWrt Developers Team <openwrt-devel@…>
MD5Sum: d2fb14261b6cd98e01f5affba90ba2dc
Size: 11931
Filename: kmod-ipt-ipopt_2.6.32.25-1_ar71xx.ipk
Source: package/kernel
Description: Netfilter (IPv4) modules for matching/changing IP packet options

Includes:

  • CLASSIFY
  • dscp/DSCP
  • ecn/ECN
  • hl/HL (2.6.30 and later)
  • length
  • mark/MARK
  • statistic (2.6)
  • tcpmss
  • time
  • tos/TOS (prior to 2.6.25)
  • ttl/TTL (prior to 2.6.30)
  • unclean

Installed-Time: 1290387965

But when you look with browser at the package-list, it show different:
http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/Packages

<CTRL>+<F>kmod-ipt-ipopt
Package: iptables-mod-ipopt
Version: 1.4.9.1-1
Depends: iptables, kmod-ipt-ipopt
Provides:
Source: package/iptables
Section: net
Status: unknown ok not-installed
Essential: no
Priority: optional
Maintainer: OpenWrt Developers Team <openwrt-devel@…>
Architecture: ar71xx
Installed-Size: 86908
Filename: iptables-mod-ipopt_1.4.9.1-1_ar71xx.ipk
Size: 22108
MD5Sum: aabe004214662208629901e77472f660
Description: iptables extensions for matching/changing IP packet options.

Includes:

  • libipt_CLASSIFY
  • libipt_dscp/DSCP
  • libipt_ecn/ECN
  • libipt_length
  • libipt_mac
  • libipt_mark/MARK
  • libipt_statistic
  • libipt_tcpmms
  • libipt_tos/TOS
  • libipt_ttl/TTL
  • libipt_unclean

Compare the sizes. First is 11931, second 22108.
The remark: "tos/TOS (prior to 2.6.25)" Does that mean, we cannot use TOS? And have to use DSCP instead? But then I will still need "length". That one is missing, too.

What is the hold up? What can be done to help?

Attachments (0)

Change History (3)

comment:1 Changed 6 years ago by markus_kubler@…

There is dependency between iptables-mod-* and kmod-ipt-*, but not the other way around.

Give it a

opkg list | grep iptables-mod

to see available packages.

Install iptables-mod-* and the problems should be solved.

This ticket can be closed.

comment:2 Changed 6 years ago by jow

  • Resolution set to invalid
  • Status changed from new to closed

Closed according to user request

comment:3 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.